Subject: Re: linux-next: build failure after merge of the workqueues tree

From: Dmitry Torokhov <[email-masked]>
Date: Sun, 20 Feb 2011 21:48:13 -0800

Hi Stephen,

On Mon, Feb 21, 2011 at 01:27:08PM +1100, Stephen Rothwell wrote:
> Hi Dmitry,
> 
> On Fri, 18 Feb 2011 14:57:47 +1100 Stephen Rothwell <[email-masked]> wrote:
> >
> > After merging the workqueues tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> > 
> > drivers/input/input-polldev.c: In function 'input_polldev_init':
> > drivers/input/input-polldev.c:259: error: 'WQ_FREEZEABLE' undeclared (first use in this function)
> > 
> > Caused by commit 58a69cb47ec6991bf006a3e5d202e8571b0327a4 ("workqueue,
> > freezer: unify spelling of 'freeze' + 'able' to 'freezable'") interacting
> > with commit 8fb3f6f6bf6e17e97712d216f230ba05f2e88ed8 ("Input:
> > input-polldev - create workqueue upfront") from the input tree.
> > 
> > I applied the following fix up patch (and can carry it as necessary):
> 
> This patch is now applicable after the input tree merge as the workqueues
> patch has been merged into Linus' tree.  So, Dmitry, if you merge Linus'
> tree sometime, you should apply this merge fixup.
> 

Actually I will just pull the patch and wait till Tejun's patch
introducing global freezable workqueue hits mainline and convert
input_polldev to use it.

Thanks.

-- 
Dmitry